#! /usr/bin/env node

const program = require('commander'); // 解析用户输入的命令
const download = require('download-git-repo'); // 拉去GitHub上的文件
const chalk = require('chalk'); // 改变输出文字颜色
const ora = require('ora'); // 小图标

program
    .version(require('../package.json').version)
    .option('-i, init [name]', '初始化allin-build项目')
    .parse(process.argv);

if (program.init) {
    const spinner = ora('正在下载...').start();
    download('https://github.com/amy313/allin-build.git', program.init, function (err) {
        if(!err){
            // 可以输出一些项目成功的信息
            console.info(chalk.blueBright('下载成功'));
        }else{
            console.log('error:',err)
            // 可以输出一些项目失败的信息
        }
    })
}
